Bug 550600 - Review Request: themonospot-gui-gtk - Gtk gui to scan multimedia files using Themonospot
Summary: Review Request: themonospot-gui-gtk - Gtk gui to scan multimedia files using ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: http://www.integrazioneweb.com/themon...
Whiteboard:
Depends On: 550594
Blocks: 550519
TreeView+ depends on / blocked
 
Reported: 2009-12-26 09:08 UTC by Armando Basile
Modified: 2010-01-11 14:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-11 14:56:56 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Armando Basile 2009-12-26 09:08:34 UTC
SPEC URL: http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-gui-gtk.spec
SRPM URL: http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-gui-gtk-0.2.0-1.fc12.src.rpm

Description: themonospot-gui-gtk is a Mono framework application to create a
graphic frontend to use themonospot base component and his plugins.

Comment 1 Armando Basile 2009-12-29 12:47:24 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-gui-gtk.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-gui-gtk-0.2.0-2.fc12.src.rpm


changes:
- added BuildRequires: themonospot-base-devel
- removed min. release req. for mono-core and themonospot-base
- added copying.gpl

Comment 2 Mamoru TASAKA 2009-12-29 16:57:41 UTC
For -2:

* Obsoletes
  - (I also added some comments on bug 550594)
    At first I thought this package (i.e. -gui-gtk) should obsolete
    the old themonospot, however maybe -base should obsolete it.
    Anyway please add "Obsoletes: themonospot <= <specific_version>"
    to the proper package.

    Currently I am not sure if "Provides: themonosport = <some_version>"
    should be added or not.

* Timestamps
  - Same as bug 550599

  - Also please consider to use
----------------------------------------------------------
make DESTDIR=%{buildroot} INSTALL="install -p" install
----------------------------------------------------------
    to keep timestamps on installed files as much as possible
    (for this package this should keep timestamp on pixmap file)
    This method usually works for Makefiles generated by recent
    autotools

* desktop-file-install
  https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage
  - "--vendor="fedora" should no longer be used

  - you may use "--delete-original" option for desktop-file-install
    instead of removing desktop file firstly installed under
    %buildroot, or you can use desktop-file-validate instead of
    desktop-file-install.

! dependency against -plugin-mkv
  ! Currently this package "crashes" without having -plugin-mkv installed
    with
    - type $ mono --debug /usr/lib/themonospot-gui-gtk/themonospot-gui-gtk.exe
    - click "Folder"
    - On the pop-up window titled "Select folder to scan", choose a directory
      and click "Open"
    Then:
---------------------------------------------------------------
[tasaka1@foo ~]$ mono --debug /usr/lib/themonospot-gui-gtk/themonospot-gui-gtk.exe 
OS: NON Windows
configuration file path: /home/tasaka1/.themonospot.xml

Unhandled Exception: System.NullReferenceException: Object reference not set to an instance of an object
  at ThemonospotGuiGtk.MainWindowClass.ScanFolder (System.String folderPath, Boolean recursive) [0x00000] in <filename unknown>:0 
  at ThemonospotGuiGtk.MainWindowClass.StartScanFolder (System.String folderPath, Boolean recursive) [0x00000] in <filename unknown>:0 
  at ThemonospotGuiGtk.MainWindowClass+<OpenFolder>c__AnonStorey0.<>m__0 () [0x00000] in <filename unknown>:0 
---------------------------------------------------------------

Comment 3 Armando Basile 2009-12-30 16:11:48 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-gui-gtk.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-gui-gtk-0.2.1-1.fc12.src.rpm

changes:
- added copying.gpl
- folder used is %{libdir}/themonospot

Comment 4 Mamoru TASAKA 2009-12-31 07:08:03 UTC
Still themonospot-gui crashes (as I wrote in the comment 2)
if neither -plugin-{mkv,avi} is installed. Is this difficult to fix?

Comment 5 Armando Basile 2009-12-31 19:10:42 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-gui-gtk.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-gui-gtk-0.2.2-1.fc12.src.rpm

changed:
- bug fix: scan process without plugin installed
- only mono-devel and desktop-file-utils as BuildRequire

Comment 6 Mamoru TASAKA 2010-01-01 02:08:51 UTC
Well, while "Requires: gtk-sharp2 themonospot-base mono-core" can
be removed with "BuildRequires: mono-devel",
"BuildRequires: gtk-sharp2-devel themonospot-base-devel" are still
needed (and same on other themonospot-foo packages)

Comment 8 Mamoru TASAKA 2010-01-01 16:53:45 UTC
For 0.2.2-2

* desktop-file-install usage
  https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

  - As I wrote in my comment 2, "--vendor=fedora" is now
    deprecated and should be removed (and the name of the desktop
    included in binary rpm should be "themonospot-gtk.desktop")
    You can use
-------------------------------------------------------
%install
rm -fr %{buildroot}
make DESTDIR=%{buildroot} install
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--delete-original \
	%{buildroot}%{_datadir}/applications/themonospot-gtk.desktop
-------------------------------------------------------
    or even:
-------------------------------------------------------
%install
rm -fr %{buildroot}
make DESTDIR=%{buildroot} install
desktop-file-validate %{buildroot}%{_datadir}/applications/themonospot-gtk.desktop
-------------------------------------------------------

Comment 10 Mamoru TASAKA 2010-01-01 17:48:42 UTC
Okay.

-------------------------------------------------------------
  This package (themonospot-gtk-gui) is APPROVED by mtasaka
-------------------------------------------------------------

Comment 11 Armando Basile 2010-01-01 19:44:19 UTC
New Package CVS Request
=======================
Package Name: themonospot-gui-gtk
Short Description: Gtk gui for Themonospot suite
Owners: hman
Branches: F-11 F-12
InitialCC: mtasaka
Cvsextras Commits: yes

Comment 12 Armando Basile 2010-01-02 21:00:47 UTC
New Package CVS Request
=======================
Package Name: themonospot-gui-gtk
Short Description: Gtk gui for Themonospot suite
Owners: hman-it
Branches: F-11 F-12
InitialCC: mtasaka
Cvsextras Commits: yes

Comment 13 Kevin Fenzi 2010-01-04 20:22:27 UTC
cvs done.

Comment 14 Mamoru TASAKA 2010-01-11 14:56:56 UTC
Closing.


Note You need to log in before you can comment on or make changes to this bug.